﻿#chat.div {
    overflow: scroll;
    overflow-x: hidden;
    -ms-overflow-style: none;
    overflow: -moz-scrollbars-none;
}

/*remove scrollbar space
optional: just make scrollbar invisible
#chat ::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}*/

.sas-thumbnail {
    position: relative;
    width: 86px;
    height: 86px;
    overflow: hidden;
    float: left;
    margin: 2px;
}

.sas-thumbnail img {
    position: absolute;
    left: 50%;
    top: 50%;
    height: 100%;
    width: auto;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    cursor: pointer;
}

.sas-thumbnail img.portrait {
    width: 100%;
    height: auto;
}

#chat .navbar {
    min-height: 30px !important;
    padding: 10px 0;
    margin-bottom: 0;
	position: relative;
    z-index: 3;
}

#chat .col, .row {
    margin: 0 !important;
    padding: 0 !important;
}

#chat {
    background-color: whitesmoke;
}

#chat #search-box {
        height: 30px;
}

#chat #message-box {
    min-height:45px;
    height: 45px;
    padding: 10px 20px 10px 50px;
    border-radius:50px;
    resize:none;
}

#chat #chat-sender .col {
    padding: 5px !important;
}

#chat #chat-sender {
    padding: 10px !important;
}

#chat-right {
    border-right: solid 0.5px #ddd;
}

#chat #chat-messages {
    height: 82.5vh;
    max-height: 82.5vh;
    overflow: auto;
    /*-webkit-box-shadow: inset 7px -10px 29px -10px rgba(0,0,0,0.33);
    -moz-box-shadow: inset 7px -10px 29px -10px rgba(0,0,0,0.33);*/
    /*box-shadow: inset 7px -10px 29px -10px rgba(0,0,0,0.33);*/
    background-color: white;
    border-bottom: solid 0.5px #ddd;
    padding: 8px 8px 8px 13px !important;
}

#chat #chat-history-messages {
    height: 67vh;
    max-height: 67vh;
    overflow: auto;
    background-color: white;
    border: solid 0.5px #ddd;
    padding: 8px 8px 8px 13px !important;
}

#chat .dl {
    text-decoration: underline;
    text-align: left;
    cursor: pointer;
}

#chat #chat-messages img {
    max-width: 500px;
    max-height: 500px;
    /*border: solid gray 1px;
        border-radius: 15px;*/
    margin-bottom: 5px;
    cursor: pointer;
}

#chat .chat-message {
    margin-bottom: 7px;
}

#chat .chat-message-text {
    max-width: 80%;
    border-radius: 20px;
    padding: 7px 10px;
}

#chat .chat-message-left .chat-message-text {
    background-color: #ede9e9;
    float: left;
}

#chat .chat-message-right .chat-message-text {
    background-color: #c60;
    color: white;
    float: right;
    margin-right: 0px !important;
}


#chat .chat-message-right img, #chat .chat-message-right .loading {
    float: right;
    margin-right: 0px !important;
}

#chat .chat-message-right .chat-message-details,
#chat .chat-message-left .chat-message-details { 
    font-size: 14px;
    color: #545454;
    margin-bottom: 5px;
}

#chat .chat-message-right .chat-message-details {
	text-align: right;
}
#chat .chat-message-left .chat-message-details {
	text-align: left;
}

#chat #chat-user {
    max-height: 90vh;
    overflow: auto;
}
#chat #chat-user::-webkit-scrollbar,
#chat #chat-messages::-webkit-scrollbar {
  width: 3px;
  height:3px;
}
#chat #chat-user::-webkit-scrollbar-track,
#chat #chat-messages::-webkit-scrollbar-track {
    background: #e1e1e1;
}
#chat #chat-user::-webkit-scrollbar-thumb,
#chat #chat-messages::-webkit-scrollbar-thumb {
    background: #a8adb4;
}
#chat #chat-user::-webkit-scrollbar-thumb:hover,
chat #chat-messages::-webkit-scrollbar-thumb:hover {
  background: #717478; 
}

#chat #chat-user .list-group-item {
    padding: 5px;
}

#chat #chat-user .list-group-item {
    padding: 5px;
    border-radius: 0px !important;
}

#chat .logged-in {
    height: 8px;
    width: 8px;
    background-color: forestgreen;
    border-radius: 50%;
    display: inline-block;
    margin-right: 5px;
    margin-left: 5px;
}

#chat .logged-out {
    margin-left: 21px;
}

#chatNotificationHolder {
    z-index: 100000;
    width: 340px;
    position: fixed;
    bottom: 15px;
    right: 30px;
    word-wrap: break-word;
}

#chatNotificationHolder .alert-chat {
    background-color: tomato;
    color: white;
    cursor: pointer;
}
#chat .navbar label {
    margin-top:5px;
}
.chat-area .custom-file-upload {
    margin-bottom:0px !important;
}
.chat-area {
    position: relative;
    margin-bottom: 0px !important;
}
.chat-area button {
    position: absolute;
    top: 5px;
    right: 5px;
    border-radius: 30px;
    outline: none;
    height: 35px;
    width: 60px;
    line-height: 1px !important;
}
.chat-area label {
    position: absolute;
    top: 5px;
    left: 5px;
    border-radius: 30px;
    outline: none;
    height: 35px;
    width: 35px;
    padding: 8px 8px 8px 10px;
}
#chat .col.attachment-container {
    padding:15px !important;
}
#chat .col.attachment-container button {
    padding:0px !important;
    margin-bottom:10px;
}